//#############################
//## UPDATE by TERUYUKI SHIMA 
//#############################


/*
 * 作成日: 2005/02/04
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.tools;

//import javax.servlet.http.HttpSession;

import jp.co.ntt.lms.xmo.Lo.LoClient;
import jp.co.ntt.lms.lo.LoConstant;
import jp.co.ntt.lms.xmo.Ad.*;

//import jp.co.ntt.lms.xmo.util.DebugLog;
//import jp.co.ntt.lms.lo.LoConstant;
//import jp.co.ntt.lms.xmo.Lo.LoClient;
//import java.net.URLEncoder;
//include file="Common.jsp";
//include file="../Com/ComFunction.jsp";
//include file="inc/maintenance_inc.jsp";


/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class LoClientTool {
	
	public String getLoType(String LoID)
	{
		LoClient objClient = null;
		try {
			objClient = new LoClient();
			objClient.setWhereLoID( LoID );
		} catch (Exception e) {
			e.printStackTrace();
		}

		try {
			if( !objClient.select() ) {
				// 検索がうまくいかなかった場合
				if( objClient.isErr() ) {
					// エラーの場合
					return null;
				}
				else {
					System.out.println("検索に失敗しました。");
				}
				return null;
			}
		} catch (Exception e1) {
			return null;
		}

		if( objClient.next() ) {
			//Loタイプ
			return objClient.getLoType();
		}
		else {
			return "";
		}
	}
	
	public boolean isWbtLoType()
	{
		try{
			LoClient objLo = new LoClient();
	// WBTのLOタイプ「１」の検索
			objLo.setWhereLoType(LoConstant.LO_TYPE_WBT);
			objLo.selectLoType();
			if (objLo.next()) {
			// WBTのLOタイプは存在する
				objLo.clear();
				return true;
			}
			objLo.clear();
			return false;
		}catch(Exception e){
			return false;
		}
	}
	
	public boolean isScormLoType()
	{
		try{
			LoClient objLo = new LoClient();
			// SCORMのLOタイプ「２０」の検索
			objLo.setWhereLoType(LoConstant.LO_TYPE_SCORM);
			objLo.selectLoType();
			if (objLo.next()) {
				// SCORMのLOタイプは存在する
				return true;
			}
			return false;
		}catch(Exception e){
			return false;
		}
	}

	public ADCorpClient getObjADClient() throws Exception
	{
//		try{
			// AD同期設定情報を取得
			ADCorpClient objADClient = new ADCorpClient();
			return objADClient;
//		}catch(Exception e){
//050204shima debug
//			System.out.print("１　errorです。");
//			return objADClient;
//		}
	}

	public ADCorpEnv getObjEnv(ADCorpClient objADClient) throws Exception
	{
//		try{
			// AD同期設定情報を取得
			ADCorpEnv objEnv =  objADClient.getSetupEnv();
			return objEnv;
//		}catch(Exception e){
//			050204shima debug
//			System.out.print("２　errorです。");
//			return null;
//		}
	}

	public ADCorpSetupData[] getObjSetupList(ADCorpEnv objEnv) throws Exception
	{
//		try{
			// AD同期設定情報を取得
			ADCorpSetupData[] objSetupList = objEnv.getSetupDataList();
//			if( objSetupList.length > 0 || !objEnv.isValid() ) {
				return objSetupList;
//			}
//			return null;
//		}catch(Exception e){
//			050204shima debug
//			System.out.print("３　errorです。");
//			return null;
//		}
	}

/*
	public ADCorpSetupData[] getObjSetupList()
	{
		try{
			// AD同期設定情報を取得
			ADCorpClient objADClient = new ADCorpClient();
			ADCorpEnv objEnv =  objADClient.getSetupEnv();
			ADCorpSetupData[] objSetupList = objEnv.getSetupDataList();
		
			if( objSetupList.length > 0 || !objEnv.isValid() ) {
				return objSetupList;
			}
			return null;
		}catch(Exception e){
			return null;
		}
	}
*/
}
